{% macro hcePagination(params) %}
<nav class="hce-pagination {{- ' ' + params.classes if params.classes}}" aria-label="Pagination navigation">

  <ul class="hce-pagination__list">
    {%- if params.previous %}
      <li class="hce-pagination__item  hce-pagination__item--prev">
        <a class="hce-pagination__link" href="{{ params.previous.href }}">{{ params.previous.text }}<span class="nhsuk-u-visually-hidden"> page</span></a>
      </li>
    {% endif -%}

    {%- for item in params.items %}
      {%- if item.type == 'dots' %}
        <li class="hce-pagination__item hce-pagination__item--dots">…</li>
      {% else %}
        {%- if item.selected %}
          <li class="hce-pagination__item hce-pagination__item--active" aria-label="Page {{ item.text }} of {{ params.results.count }}" aria-current="page">{{ item.text }}</li>
        {% else %}
          <li class="hce-pagination__item"><a class="hce-pagination__link" href="{{ item.href }}" aria-label="Page {{ item.text }} of {{ params.results.count }}">{{ item.text }}</a></li>
        {% endif -%}
      {% endif -%}
    {% endfor -%}

    {%- if params.next %}
      <li class="hce-pagination__item  hce-pagination__item--next">
        <a class="hce-pagination__link" href="{{ params.next.href }}">{{ params.next.text }}<span class="nhsuk-u-visually-hidden"> page</span></a>
      </li>
    {% endif -%}
  </ul>

  {%- if params.results %}
    <p class="hce-pagination__results">Showing <b>{{ params.results.from }}</b> to <b>{{ params.results.to }}</b> of <b>{{params.results.count}}</b> {{ params.results.text | default("results") }}</p>
  {% endif -%}

</nav>
{% endmacro %}